## org.omg.CORBA
Class FixedDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.FixedDefHelper

public class FixedDefHelper
extends java.lang.Object

Helper class for : FixedDef

Author:
  OpenORB Compiler

Constructor Summary
`FixedDefHelper()`

Method Summary
`static FixedDef` `extract(Any a)` Extract FixedDef from an any
`static java.lang.String` `id()` Return the FixedDef IDL ID
`static void` `insert(Any a, FixedDef t)` Insert FixedDef into an any
`static FixedDef` `narrow(Object obj)` Narrow CORBA::Object to FixedDef
`static FixedDef` `read(InputStream istream)` Read FixedDef from a marshalled stream
`static TypeCode` `type()` Return the FixedDef TypeCode
`static FixedDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to FixedDef
`static void` `write(OutputStream ostream, FixedDef value)` Write FixedDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedDefHelper

    public FixedDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              FixedDef t)

  Insert FixedDef into an any
  Parameters:
    `a` - an any
    `t` - FixedDef value

### extract

    public static FixedDef extract(Any a)

  Extract FixedDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted FixedDef value

### type

    public static TypeCode type()

  Return the FixedDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the FixedDef IDL ID
  Returns:
    an ID

### read

    public static FixedDef read(InputStream istream)

  Read FixedDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed FixedDef value

### write

    public static void write(OutputStream ostream,
                             FixedDef value)

  Write FixedDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - FixedDef value

### narrow

    public static FixedDef narrow(Object obj)

  Narrow CORBA::Object to FixedDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    FixedDef Object

### unchecked_narrow

    public static FixedDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to FixedDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    FixedDef Object